org.eclipse.microprofile.opentracing.tck.application

## Class ApplicationUtils

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.application.ApplicationUtils

    public class ApplicationUtils
    extends Object

Author:
  Pavol Loffay

### Field Summary

Fields
`static String` `TEST_WEB_SERVICES_CONTEXT_ROOT` The context root of JAXRS web services.

### Method Summary

All Methods Static Methods Concrete Methods
`static RuntimeException` `createExampleRuntimeException()` Create an example RuntimeException used by a web service.
`static String` `getQueryString(Map<String,Object> queryParameters)` Convert a map into a query string.
`static String` `getWebServiceURL(URL baseUri, String service, String relativePath)` Create web service URL.
`static String` `urlEncode(String text)` URL-encode `text`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST_WEB_SERVICES_CONTEXT_ROOT

    public static final String TEST_WEB_SERVICES_CONTEXT_ROOT

The context root of JAXRS web services.

See Also:
  Constant Field Values

### Method Detail

#### getWebServiceURL

    public static String getWebServiceURL(URL baseUri,
                                          String service,
                                          String relativePath)

Create web service URL.

Parameters:
  `baseUri` - Base URI.
  `service` - Web service path
  `relativePath` - Web service endpoint
Returns:
  Web service URL

#### getQueryString

    public static String getQueryString(Map<String,Object> queryParameters)

Convert a map into a query string.

Parameters:
  `queryParameters` - Map to convert.
Returns:
  Query string.

#### urlEncode

    public static String urlEncode(String text)

URL-encode `text`.

Parameters:
  `text` - Text to encode.
Returns:
  Encoded text.

#### createExampleRuntimeException

    public static RuntimeException createExampleRuntimeException()

Create an example RuntimeException used by a web service.

Returns:
  New RuntimeException.